#!/bin/sh

name="gabber"
title="Gabber"
package="gabber"
version="0.8.8"
build="1.1"
noarch="n"
build_info="Standard build."

info="Gabber is a Jabber client for GNOME." 
desc="Gabber is a Jabber client for GNOME. Jabber is a flexible
distributed Open Source instant messaging system. Gabber aims
to implement quite a bit of Jabber's functionality while
remaining easy to use."
category="net/client/im"
environment="x11/gtk"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="ABOUT-NLS,AUTHORS,BUGS,ChangeLog,COPYING,INSTALL,NEWS,README,TODO,VERSION"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://cesnet.dl.sourceforge.net/sourceforge/gabber/$name-$version.tar.gz

verbose "Do you want to build Gabber with statically linked libraries?"
yes_or_no with_static n

if [ "$with_static" = "y" ]; then

    configure_option --enable-static-gabber
    configure_option --enable-shared=no
    build_info "Static. "
    package_suffix static

else

    build_info "Shared. "

fi

verbose "Do you want to enable SSL support?"
yes_or_no with_ssl y

if [ "$with_ssl" = "y" ]; then

    build_info "With SSL. "

else

    configure_option --disable-ssl
    build_info "Without SSL. "

fi

verbose "Do you want to enable IPv6 support?"
yes_or_no with_ipv6 n

if [ "$with_ipv6" = "y" ]; then

    configure_option --enable-ipv6
    build_info "IPv6 support."
    package_suffix ipv6

else

    build_info "Without IPv6 support."

fi

configure_option --prefix=/usr

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

make_docs

make_package main

clean_up

# $Log: gabber.builder,v $
# Revision 1.4  2003/06/19 19:43:32  stoodi
# - version 0.8.8, build 0
#
# Revision 1.3  2002/12/26 10:50:10  stoodi
# - Changed build to 1 to force stable build.
#
# Revision 1.2  2002/12/26 10:28:12  stoodi
# - Changed add_source to $name-$version
#
# Revision 1.1  2002/12/26 10:21:31  stoodi
# - Initial release
# - Version 0.8.7
#
